Bullet Collision Detection & Physics Library: Bullet::SoftBodyClusterData Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::SoftBodyClusterData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::SoftBodyClusterData:
[legend]

## Public Attributes
btTransformFloatData | m_framexform
btMatrix3x3FloatData | m_locii
btMatrix3x3FloatData | m_invwi
btVector3FloatData | m_com
btVector3FloatData | m_vimpulses [2]
btVector3FloatData | m_dimpulses [2]
btVector3FloatData | m_lv
btVector3FloatData | m_av
btVector3FloatData * | m_framerefs
int * | m_nodeIndices
float * | m_masses
int | m_numFrameRefs
int | m_numNodes
int | m_numMasses
float | m_idmass
float | m_imass
int | m_nvimpulses
int | m_ndimpulses
float | m_ndamping
float | m_ldamping
float | m_adamping
float | m_matching
float | m_maxSelfCollisionImpulse
float | m_selfCollisionImpulseFactor
int | m_containsAnchor
int | m_collide
int | m_clusterIndex

## Detailed Description

Definition at line 1293 of file bullet.h.

## Member Data Documentation

## ◆ m_adamping

float Bullet::SoftBodyClusterData::m_adamping

Definition at line 1316 of file bullet.h.

## ◆ m_av

btVector3FloatData Bullet::SoftBodyClusterData::m_av

Definition at line 1303 of file bullet.h.

## ◆ m_clusterIndex

int Bullet::SoftBodyClusterData::m_clusterIndex

Definition at line 1322 of file bullet.h.

## ◆ m_collide

int Bullet::SoftBodyClusterData::m_collide

Definition at line 1321 of file bullet.h.

## ◆ m_com

btVector3FloatData Bullet::SoftBodyClusterData::m_com

Definition at line 1299 of file bullet.h.

## ◆ m_containsAnchor

int Bullet::SoftBodyClusterData::m_containsAnchor

Definition at line 1320 of file bullet.h.

## ◆ m_dimpulses

btVector3FloatData Bullet::SoftBodyClusterData::m_dimpulses[2]

Definition at line 1301 of file bullet.h.

## ◆ m_framerefs

btVector3FloatData* Bullet::SoftBodyClusterData::m_framerefs

Definition at line 1304 of file bullet.h.

## ◆ m_framexform

btTransformFloatData Bullet::SoftBodyClusterData::m_framexform

Definition at line 1296 of file bullet.h.

## ◆ m_idmass

float Bullet::SoftBodyClusterData::m_idmass

Definition at line 1310 of file bullet.h.

## ◆ m_imass

float Bullet::SoftBodyClusterData::m_imass

Definition at line 1311 of file bullet.h.

## ◆ m_invwi

btMatrix3x3FloatData Bullet::SoftBodyClusterData::m_invwi

Definition at line 1298 of file bullet.h.

## ◆ m_ldamping

float Bullet::SoftBodyClusterData::m_ldamping

Definition at line 1315 of file bullet.h.

## ◆ m_locii

btMatrix3x3FloatData Bullet::SoftBodyClusterData::m_locii

Definition at line 1297 of file bullet.h.

## ◆ m_lv

btVector3FloatData Bullet::SoftBodyClusterData::m_lv

Definition at line 1302 of file bullet.h.

## ◆ m_masses

float* Bullet::SoftBodyClusterData::m_masses

Definition at line 1306 of file bullet.h.

## ◆ m_matching

float Bullet::SoftBodyClusterData::m_matching

Definition at line 1317 of file bullet.h.

## ◆ m_maxSelfCollisionImpulse

float Bullet::SoftBodyClusterData::m_maxSelfCollisionImpulse

Definition at line 1318 of file bullet.h.

## ◆ m_ndamping

float Bullet::SoftBodyClusterData::m_ndamping

Definition at line 1314 of file bullet.h.

## ◆ m_ndimpulses

int Bullet::SoftBodyClusterData::m_ndimpulses

Definition at line 1313 of file bullet.h.

## ◆ m_nodeIndices

int* Bullet::SoftBodyClusterData::m_nodeIndices

Definition at line 1305 of file bullet.h.

## ◆ m_numFrameRefs

int Bullet::SoftBodyClusterData::m_numFrameRefs

Definition at line 1307 of file bullet.h.

## ◆ m_numMasses

int Bullet::SoftBodyClusterData::m_numMasses

Definition at line 1309 of file bullet.h.

## ◆ m_numNodes

int Bullet::SoftBodyClusterData::m_numNodes

Definition at line 1308 of file bullet.h.

## ◆ m_nvimpulses

int Bullet::SoftBodyClusterData::m_nvimpulses

Definition at line 1312 of file bullet.h.

## ◆ m_selfCollisionImpulseFactor

float Bullet::SoftBodyClusterData::m_selfCollisionImpulseFactor

Definition at line 1319 of file bullet.h.

## ◆ m_vimpulses

btVector3FloatData Bullet::SoftBodyClusterData::m_vimpulses[2]

Definition at line 1300 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h